Description

The Integer fields are read as Long e.g. in the Field Manager.

Associated revisions

Revision 44149 - 02/25/2019 11:42 PM - Joaquin del Cerro Murciano

refs #4283. Correcciones en el interface del field manager.

History

#1 - 08/29/2016 11:33 AM - Alvaro Anguix
- Target version deleted (2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153))

#2 - 10/15/2018 03:31 PM - Mario Carrera
- gvSIG build changed from 2436 to 2850
- gvSIG version changed from 2.3.0 to 2.4.0

- Severity changed from Minor to Major

| update the information for gvSIG 2.4:

At this version Integer fields can't be created. If we start editing and we create an Integer field, when we finish editing that field is "Long" type. It's
critical when we want to join tables later because fields have to had the same type.

En la versién 2.4 no se pueden crear campos de tipo "Integer". Cuando comenzamos edicién, creamos un campo de tipo Entero y finalizamos
edicién, ese campo es de tipo "Long". Es un gran inconveniente porque por ejemplo para la unién de tablas se deben tener los campos del mismo
tipo.

#3 - 02/04/2019 04:15 PM - Alvaro Anguix
- Target version set to 2.5.0-2930-final

#4 - 02/06/2019 06:19 PM - Joaquin del Cerro Murciano
- Severity changed from Major to Minor
Desde mi punto de vista se trata de un error menor.

El problema aparece cuando los datos que el usuario introduce en el formulario son incorrectos, pidiendo un entero con un tamano superior al que el
entero puede almacenar. En ese caso la aplicacion hace lo que puede para intentar realizar la accion que el usuario ha pedido, cambiendo para ello
el tipo de campo a "entero largo" ya que tiene mas tamarno que el entero.

Si el tamano indicado esta entre 1 y 8 el campo se crea correctamente como entero.

#5 - 02/16/2019 11:20 AM - Joaquin del Cerro Murciano

- Target version changed from 2.5.0-2930-final to 2.5.0-2912-RC1 (rev. org.gvsig.desktop-2.0.240)

#6 - 02/16/2019 11:22 AM - Joaquin del Cerro Murciano
- Target version changed from 2.5.0-2912-RC1 (rev. org.gvsig.desktop-2.0.240) to 2.5.0-2913 (rev. org.gvsig.desktop-2.0.241)

#7 - 02/16/2019 11:23 AM - Joaquin del Cerro Murciano

- Status changed from New to In progress

#8 - 02/16/2019 11:23 AM - Joaquin del Cerro Murciano

- Assignee set to Joaquin del Cerro Murciano

#9 - 02/25/2019 11:45 PM - Joaquin del Cerro Murciano

- Status changed from In progress to Fixed

En el nuevo interface del "field manager" por defecto pone valores adecuados para el size y precision de enteros y reales.

#10 - 03/05/2019 10:19 AM - Alvaro Anguix
- Status changed from Fixed to Closed
